package com.songhua.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.songhua.system.mapper.BasicCruiseShipMapper;
import com.songhua.system.domain.BasicCruiseShip;
import com.songhua.system.service.IBasicCruiseShipService;

/**
 * 游船Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-23
 */
@Service
public class BasicCruiseShipServiceImpl implements IBasicCruiseShipService 
{
    @Autowired
    private BasicCruiseShipMapper basicCruiseShipMapper;

    /**
     * 查询游船
     * 
     * @param id 游船主键
     * @return 游船
     */
    @Override
    public BasicCruiseShip selectBasicCruiseShipById(Long id)
    {
        return basicCruiseShipMapper.selectBasicCruiseShipById(id);
    }

    /**
     * 查询游船列表
     * 
     * @param basicCruiseShip 游船
     * @return 游船
     */
    @Override
    public List<BasicCruiseShip> selectBasicCruiseShipList(BasicCruiseShip basicCruiseShip)
    {
        return basicCruiseShipMapper.selectBasicCruiseShipList(basicCruiseShip);
    }

    /**
     * 新增游船
     * 
     * @param basicCruiseShip 游船
     * @return 结果
     */
    @Override
    public int insertBasicCruiseShip(BasicCruiseShip basicCruiseShip)
    {
        return basicCruiseShipMapper.insertBasicCruiseShip(basicCruiseShip);
    }

    /**
     * 修改游船
     * 
     * @param basicCruiseShip 游船
     * @return 结果
     */
    @Override
    public int updateBasicCruiseShip(BasicCruiseShip basicCruiseShip)
    {
        return basicCruiseShipMapper.updateBasicCruiseShip(basicCruiseShip);
    }

    /**
     * 批量删除游船
     * 
     * @param ids 需要删除的游船主键
     * @return 结果
     */
    @Override
    public int deleteBasicCruiseShipByIds(Long[] ids)
    {
        return basicCruiseShipMapper.deleteBasicCruiseShipByIds(ids);
    }

    /**
     * 删除游船信息
     * 
     * @param id 游船主键
     * @return 结果
     */
    @Override
    public int deleteBasicCruiseShipById(Long id)
    {
        return basicCruiseShipMapper.deleteBasicCruiseShipById(id);
    }

    @Override
    public List<Long> selectDidList() {
        return basicCruiseShipMapper.selectDidList();
    }
}
